## profphd-utils 1.0.8

=== Makefile ===
PACKAGE := profphd-utils
VERSION := 1.0.8
DISTDIR := $(PACKAGE)-$(VERSION)

mandir := $(prefix)/share/man
man1dir := $(mandir)/man1

ARCH		= LINUX
F77       	= gfortran
AM_FFLAGS       := -O2 -fbounds-check -Wuninitialized
AM_FFLAGS       := $(AM_FFLAGS) -Wall -Wno-unused -Wtabs

BINARIES=convert_seq filter_hssp

MAN1 := convert_seq.1 filter_hssp.1

MANS := $(MAN1)

all: $(BINARIES) $(MANS)

%.1 : %.pod Makefile
	pod2man -c 'User Commands' -r "$(VERSION)" -name $(shell echo "$(basename $@)" | tr '[:lower:]' '[:upper:]') "$<" "$@"

convert_seq filter_hssp : maxhom.common maxhom.param

convert_seq : convert_seq.f lib-maxhom.f lib-sys-$(ARCH).f
	$(F77) $(AM_FFLAGS) $(FFLAGS) -o $@ convert_seq.f lib-maxhom.f lib-sys-$(ARCH).f

filter_hssp : filter_hssp.f lib-maxhom.f lib-sys-$(ARCH).f
	$(F77) $(AM_FFLAGS) $(FFLAGS) -o $@ filter_hssp.f lib-maxhom.f lib-sys-$(ARCH).f

#lib-maxhom.o : maxhom.common maxhom.param

install:
	mkdir -p $(DESTDIR)$(prefix)/bin && \
		cp $(BINARIES) $(DESTDIR)$(prefix)/bin/
	mkdir -p $(DESTDIR)$(man1dir) && \
		cp $(MAN1) $(DESTDIR)$(man1dir)/

clean:
	rm -f *.o convert_seq filter_hssp convert_seq.1 filter_hssp.1

dist:	$(DISTDIR)
	tar -c -f - "$(DISTDIR)" | gzip -c >$(DISTDIR).tar.gz
	rm -rf $(DISTDIR)

$(DISTDIR): distclean
	rm -rf $(DISTDIR) && mkdir -p $(DISTDIR) && \
	rsync -avC \
		--exclude /*-stamp \
		--exclude .*.swp \
		AUTHORS \
		ChangeLog \
		compile_macintel.csh \
		compile.pl \
		convert_seq.f \
		convert_seq.pod \
		COPYING \
		dead.f \
		filter_hssp.f \
		filter_hssp.pod \
		lib-convert.f \
		lib-maxhom.f \
		lib-maxhom-node-pvm3.f \
		lib-metr.f \
		lib-metr-sys.f \
		lib-sys-LINUX.f \
		long.msf \
		Makefile \
		maxhom.common \
		maxhom.default \
		maxhom.f \
		maxhom.param \
		metr2st_make.f \
		$(PACKAGE).spec \
		ReadMe \
		ReadMe-linux \
		ReadMe-mac \
		$(DISTDIR)/;

distclean: clean
	rm -rf\
		$(DISTDIR) \
		$(DISTDIR).tar.gz

help:
	@echo "all*: convert_seq filter_hssp"
	@echo "convert_seq"
	@echo "filter_hssp"
	@echo "install"
	@echo
	@echo "VARIABLES"
	@echo "prefix - prefix all paths with 'prefix'"
	@echo "DESTDIR - installation directory prefix"

.PHONY: all clean dist distclean help install

=== debian/changelog ===
profphd-utils (1.0.8-1) unstable; urgency=low

  * Initial release in Debian (Closes: #643323)

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 27 Sep 2011 10:08:18 +0200

profphd-utils (1.0.6) unstable; urgency=low

  * Debian native now

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 28 Feb 2011 15:50:38 +0100

profphd-utils (1.0.5)

  * Introduced AM_FFLAGS; FFLAGS now can be used on the command line/ENV as expected

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 01 Apr 2010 11:53:35 +0200

profphd-utils (1.0.4)

  * increased MAXCORE to 16777216 in filter_hssp.f in order to allow a big alignment to fit (DMD_HUMAN.hssp example)
  * Made sequence names case sensitive for READ_MSF routine - solves bug with 3h4p_A and 3h4p_a chains mistaken for the same thing

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 12 Jan 2010 12:17:03 +0100

profphd-utils (1.0.3)

  * Removed unnecessary directories; made not to install *.{LINUX,ALPHA,etc} files
  * lib-sys-linux.f was duplicate of lib-sys-LINUX.f - lib-sys-linux.f removed
  * Distribute only .LINUX version of lib-sys-*.f

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 05 Jan 2010 23:18:07 +0100

profphd-utils (1.0.2)

  * Fixed uninitialized variables without -flocal-init-zero

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 05 Jan 2010 23:18:07 +0100

profphd-utils (1.0.1)

  * Initial version

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 18 Dec 2009 23:23:21 +0100

=== debian/control ===
Source: profphd-utils
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), gfortran
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/rostlab/profphd-utils/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/profphd-utils/trunk/
DM-Upload-Allowed: yes
Homepage: http://www.rostlab.org/

Package: profphd-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profphd
Description: profphd helper utilities convert_seq and filter_hssp
 The package provides the following binary utilities: convert_seq, filter_hssp.
 These are used by prof from the profphd package: a secondary structure,
 accessibility and transmembrane helix predictor from Burkhard Rost.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.
DEB_MAKE_BUILD_TARGET   = prefix=/usr all
DEB_MAKE_INSTALL_TARGET = prefix=/usr DESTDIR=$(CURDIR)/debian/tmp/ install

=== debian/watch ===
version=3
ftp://rostlab.org/profphd/profphd-utils-([0-9.]+)\.tar\.gz debian uupdate

## profphd-utils 1.0.9

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE := profphd-utils
-VERSION := 1.0.8
+VERSION := 1.0.9
 DISTDIR := $(PACKAGE)-$(VERSION)
 
 mandir := $(prefix)/share/man
@@ -7,8 +7,8 @@
 
 ARCH		= LINUX
 F77       	= gfortran
-AM_FFLAGS       := -O2 -fbounds-check -Wuninitialized
-AM_FFLAGS       := $(AM_FFLAGS) -Wall -Wno-unused -Wtabs
+AM_FFLAGS       := -O2 -fbounds-check -Wuninitialized -fbacktrace -g
+#AM_FFLAGS       := $(AM_FFLAGS) -Wall -Wno-unused -Wtabs
 
 BINARIES=convert_seq filter_hssp
 
@@ -24,10 +24,10 @@
 convert_seq filter_hssp : maxhom.common maxhom.param
 
 convert_seq : convert_seq.f lib-maxhom.f lib-sys-$(ARCH).f
-	$(F77) $(AM_FFLAGS) $(FFLAGS) -o $@ convert_seq.f lib-maxhom.f lib-sys-$(ARCH).f
+	$(F77) $(CPPFLAGS) $(AM_FFLAGS) $(FFLAGS) $(LDFLAGS) -o $@ convert_seq.f lib-maxhom.f lib-sys-$(ARCH).f
 
 filter_hssp : filter_hssp.f lib-maxhom.f lib-sys-$(ARCH).f
-	$(F77) $(AM_FFLAGS) $(FFLAGS) -o $@ filter_hssp.f lib-maxhom.f lib-sys-$(ARCH).f
+	$(F77) $(CPPFLAGS) $(AM_FFLAGS) $(FFLAGS) $(LDFLAGS) -o $@ filter_hssp.f lib-maxhom.f lib-sys-$(ARCH).f
 
 #lib-maxhom.o : maxhom.common maxhom.param

=== debian/changelog ===
profphd-utils (1.0.9-1) unstable; urgency=low

  * New upstream release.
  * Changed from cdbs to dh.

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 01 Jun 2012 12:56:21 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export FFLAGS:=$(shell dpkg-buildflags --get FFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export prefix=/usr

%:
	dh $@ --parallel

.PHONY: build install get-orig-source
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

## profphd-utils 1.0.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE := profphd-utils
-VERSION := 1.0.9
+VERSION := 1.0.10
 DISTDIR := $(PACKAGE)-$(VERSION)
 
 mandir := $(prefix)/share/man

=== debian/changelog ===
profphd-utils (1.0.10-6) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 17:36:58 +0100

profphd-utils (1.0.10-5) unstable; urgency=medium

  * Drop unneeded get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 19:58:25 +0200

profphd-utils (1.0.10-4) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 16:12:31 +0100

profphd-utils (1.0.10-3) unstable; urgency=medium

  * Team upload.
  * add debian/examples/ to use with testsuite
  * add profphd-utils.examples
  * add testsuite for autopkgtest
  * add files in debian/examples/ to debian/copyright,
  * run cme fix dpkg-copyright
  * add debian/docs
  * add debian/README.test
  * cme fix dpkg-control
  * add hardening

 -- Tatiana Malygina <merlettaia@gmail.com>  Fri, 08 Jul 2016 17:03:18 +0300

profphd-utils (1.0.10-2) unstable; urgency=medium

  * Add myself to Uploaders
  * cme fix dpkg-control
  * Priority: optional
  * debhelper 9
  * d/copyright converted to DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 16:16:28 +0100

profphd-utils (1.0.10-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 14 Aug 2012 09:29:31 +0200

=== debian/control ===
Source: profphd-utils
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/profphd-utils
Vcs-Git: https://salsa.debian.org/med-team/profphd-utils.git
Homepage: https://www.rostlab.org/
Rules-Requires-Root: no

Package: profphd-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: profphd
Description: profphd helper utilities convert_seq and filter_hssp
 The package provides the following binary utilities: convert_seq, filter_hssp.
 These are used by prof from the profphd package: a secondary structure,
 accessibility and transmembrane helix predictor from Burkhard Rost.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export prefix=/usr

%:
	dh $@

=== debian/watch ===
version=4
ftp://rostlab.org/profphd-utils/profphd-utils-([0-9.]+)\.tar\.gz
